## Event Structures Event Structures — Data structures specific to each type of event |

## Types and Values

union | GdkEvent
struct | GdkEventAny
struct | GdkEventKey
struct | GdkEventButton
struct | GdkEventTouch
struct | GdkEventScroll
struct | GdkEventMotion
struct | GdkEventExpose
struct | GdkEventVisibility
struct | GdkEventCrossing
struct | GdkEventFocus
struct | GdkEventConfigure
struct | GdkEventProperty
struct | GdkEventSelection
struct | GdkEventDND
struct | GdkEventProximity
struct | GdkEventWindowState
struct | GdkEventSetting
struct | GdkEventOwnerChange
struct | GdkEventGrabBroken
struct | GdkEventTouchpadSwipe
struct | GdkEventTouchpadPinch
struct | GdkEventPadButton
struct | GdkEventPadAxis
struct | GdkEventPadGroupMode
enum | GdkScrollDirection
enum | GdkVisibilityState
enum | GdkCrossingMode
enum | GdkNotifyType
enum | GdkPropertyState
enum | GdkWindowState
enum | GdkSettingAction
enum | GdkOwnerChange

## Includes

    #include <gdk/gdk.h>

## Description

The event structures contain data specific to each type of event in GDK.

> A common mistake is to forget to set the event mask of a widget so that the required events are received. See `gtk_widget_set_events()`.

## Functions